<div class="flex h-full px-4 py-6 space-x-6 overflow-x-auto overflow-y-hidden sm:px-6 lg:px-8">
  <div class="flex h-full w-[328px] shrink-0 flex-col space-y-4">
    <div class="flex items-center justify-between border-b-2 border-[#006BE8] pb-[10px]">
      <div class="flex items-center space-x-2 font-semibold">
        <div class="leading-7">대기</div>
        <div class="flex h-[22px] w-[22px] items-center justify-center rounded-full bg-[#DFECFF] text-[10px] text-[#006BE8]">{{kanbanWaitings().length}}</div>
      </div>
      <button (click)="openRegister(status.WAITING)">
        <img src="/assets/icons/plus-gray.svg" alt="select button" />
      </button>
    </div>
    <div 
      cdkDropList 
      [cdkDropListData]="kanbanWaitings()"
      #kanbanWaiting="cdkDropList" 
      [cdkDropListConnectedTo]="[kanbanProgress, kanbanReview, kanbanCompleted]" 
      (cdkDropListDropped)="drop($event, status.WAITING)" 
      class="flex-1 space-y-4 overflow-y-auto rounded-[10px] bg-[#F9FAFB] p-4 lg:bg-white lg:p-0">
      @for (kanban of kanbanWaitings(); track $index) {
        <app-kanban-card cdkDrag [kanban]="kanban" /> 
      }
      </div>
  </div>

  <div class="flex h-full w-[328px] shrink-0 flex-col space-y-4">
    <div class="flex items-center justify-between border-b-2 border-[#4F46E5] pb-[10px]">
      <div class="flex items-center space-x-2 font-semibold">
        <div class="leading-7">진행</div>
        <div class="flex h-[22px] w-[22px] items-center justify-center rounded-full bg-[#E5E6FF] text-[10px] text-[#4F46E5]">{{kanbanProgresses().length}}</div>
      </div>
      <button (click)="openRegister(status.IN_PROGRESS)">
        <img src="/assets/icons/plus-gray.svg" alt="select button" />
      </button>
    </div>
    <div 
      cdkDropList 
      [cdkDropListData]="kanbanProgresses()"
      #kanbanProgress="cdkDropList" 
      [cdkDropListConnectedTo]="[kanbanWaiting, kanbanReview,kanbanCompleted]" 
      (cdkDropListDropped)="drop($event, status.IN_PROGRESS)" 
      class="flex-1 space-y-4 overflow-y-auto rounded-[10px] bg-[#F9FAFB] p-4 lg:bg-white lg:p-0 h-full">
      @for (kanban of kanbanProgresses(); track $index) {
        <app-kanban-card cdkDrag [kanban]="kanban" /> 
      }
    </div>
  </div>

  <div class="flex h-full w-[328px] shrink-0 flex-col space-y-4">
    <div class="flex items-center justify-between border-b-2 border-[#7B4300] pb-[10px]">
      <div class="flex items-center space-x-2 font-semibold">
        <div class="leading-7">검수</div>
        <div class="flex h-[22px] w-[22px] items-center justify-center rounded-full bg-[#FFD699] text-[10px] text-[#7B4300]">{{kanbanReviews().length}}</div>
      </div>
      <button (click)="openRegister(status.REVIEW)">
        <img src="/assets/icons/plus-gray.svg" alt="select button" />
      </button>
    </div>
    <div 
      cdkDropList 
      #kanbanReview="cdkDropList"  
      [cdkDropListData]="kanbanReviews()" 
      [cdkDropListConnectedTo]="[kanbanWaiting, kanbanProgress, kanbanCompleted]" 
      (cdkDropListDropped)="drop($event, status.REVIEW)" 
      class="flex-1 space-y-4 overflow-y-auto rounded-[10px] bg-[#F9FAFB] p-4 lg:bg-white lg:p-0">
      @for (kanban of kanbanReviews(); track $index) {
        <app-kanban-card cdkDrag [kanban]="kanban" /> 
      }
    </div>
  </div>

  <div class="flex h-full w-[328px] shrink-0 flex-col space-y-4">
    <div class="flex items-center justify-between border-b-2 border-[#6B7280] pb-[10px]">
      <div class="flex items-center space-x-2 font-semibold">
        <div class="leading-7">완료</div>
        <div class="flex h-[22px] w-[22px] items-center justify-center rounded-full bg-[#F3F4F6] text-[10px] text-[#6B7280]">{{kanbanCompletes().length}}</div>
      </div>
      <button (click)="openRegister(status.COMPLETED)">
        <img src="/assets/icons/plus-gray.svg" alt="select button" />
      </button>
    </div>
    <div 
      cdkDropList 
      #kanbanCompleted="cdkDropList" 
      [cdkDropListData]="kanbanCompletes()" 
      [cdkDropListConnectedTo]="[kanbanWaiting,kanbanProgress,kanbanReview]" 
      (cdkDropListDropped)="drop($event, status.COMPLETED)" 
      class="flex-1 space-y-4 overflow-y-auto rounded-[10px] bg-[#F9FAFB] p-4 lg:bg-white lg:p-0">
      @for (kanban of kanbanCompletes(); track $index) {
        <app-kanban-card cdkDrag [kanban]="kanban" /> 
      }  </div>
  </div>
</div>
